<script setup>
import { ref } from 'vue';
let id = 0;

const faves = ref([
   {
      id: id++,
      name: 'Module 6',
      desc:
         'Creates a To Do list (from module 5) ' +
         'in an array and uses the computed property ' +
         'to filter that same list based on a done ' +
         'flag in the list and the toggle the display ' +
         'of the items marked as done in the list.',
   },
   {
      id: id++,
      name: 'The favorites List',
      desc:
         'Not actually a module, but I used ' +
         'v-for to make these columns of favorites ' +
         'dynamic and places it in a seperate ' +
         'component file so index.html is cleaner.',
   },
   {
      id: id++,
      name: 'The Learning Modules List',
      desc:
         'Also not a module, but made it dynamic as well ' +
         'by putting each learning module into a component ' +
         'and then importing them into another component. ' +
         'The button toggles were also custom.',
   },
]);
</script>
<template>
   <h3 class="title is-3">Favorites</h3>
   <h4 class="subtitle is-4">
      A list of my favorite Learning Modules
   </h4>
   <div class="columns block">
      <div class="column">
         <p class="notification is-info">
            <strong>- Module Name</strong>
         </p>
      </div>
      <div class="column">
         <p class="notification is-info">Description</p>
      </div>
   </div>
   <div v-for="fave in faves" :key="faves.id">
      <div class="columns">
         <div class="column">
            <p class="notification">
               <strong> - {{ fave.name }} </strong>
            </p>
         </div>
         <div class="column">
            <p class="notification">{{ fave.desc }}</p>
         </div>
      </div>
   </div>
</template>
